Project Categories API
- List project categories
- Get a single project category
- Create a project category
- Update a project category
- Fields
List project categories
Section titled “List project categories”List all project categories for an account:
GET /project_categoriesResponse
Section titled “Response”Status: 200 OK[ { "id": 2, "sourceID": null, "reference": "small", "name": "Small", "description": "Less than 50 workdays and $50K", "position": 1, "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }, { "id": 3, "sourceID": null, "reference": "medium", "name": "Medium", "description": "Less than 200 workdays and $200K", "position": 2, "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of project categories.
Collection Fields
Section titled “Collection Fields”By default the following fields will appear in collections of project categories:
id
sourceID
reference
name
description
position
created_at
updated_at
Obtain a different set of fields using the ?fields=parameter .
Filtering
Section titled “Filtering”Filtering is available for the following fields :
id
source
sourceID
disabled
reference
name
created_at
updated_at
The filters on
source
,
sourceID
,
reference
and
name
are not case sensitive.
Sorting
Section titled “Sorting”By default a collection of project categories is sorted
ascending
by
id
.
The following fields are accepted by the ?sort=parameter :
id
sourceID
reference
name
position
created_at
updated_at
Get a single project category
Section titled “Get a single project category”GET /project_categories/:idResponse
Section titled “Response”Status: 200 OK{ "attachments": [], "created_at": "2016-12-23T05:09:03-06:00", "description": "Less than 50 workdays and $50K", "disabled": false, "id": 2, "information": "A small project is not expected to exceed either of the following thresholds:\n\n* Internal effort: 50 workdays\n* Cost of purchases (including cost of external effort): $50K", "name": "Small", "position": 1, "reference": "small", "source": null, "sourceID": null, "updated_at": "2016-12-23T05:09:03-06:00"}The response contains these fields .
Create a project category
Section titled “Create a project category”POST /project_categoriesWhen creating a new project category these fields are available.
Response
Section titled “Response”Status: 201 Created{ "id": "...", "...": "..."}The response contains all fields of the created project category and is similar to the response in Get a single project category
Update a project category
Section titled “Update a project category”PATCH /project_categories/:idWhen updating a project category these fields are available.
Response
Section titled “Response”Status: 200 OK{ "id": "...", "...": "..."}The response contains all fields of the updated project category and is similar to the response in Get a single project category
Fields
Section titled “Fields”attachments
Readonly aggregated Attachments
created_at
Readonly datetime — The date and time at which the project category was created.
description
Optional string (max 255) — The Description field is used to enter a very short description of the project category, for example “More than 200 workdays or $200K”.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the project category may not be related to any more projects.
id
Readonly integer — The unique ID of the project category.
information
Optional text (max 64KB) — The Information field is used to add any additional information about the project category that might prove useful, especially for project managers when they need to decide which project category to select for a project.
information_attachments
Writeonly attachments The attachments used in the Information field.
name
Required string (max 128) — The Name field is used to enter the name of the project category. Ideally the name of a project category consists of a single word, such as “Large”.
position
Optional integer — The Position field dictates the position that the project category takes when it is displayed in a sorted list.
reference
Readonly string (max 128) — The Reference field is automatically set to the Name field value, written in lower case characters and with all spaces replaced by the underscore character. This reference can be used to link the project category to a project using the R-Service REST API or the R-Service Import functionality.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the project category. If the project category has no updates it contains the
created_at
value.